Compare commits

..

10 Commits
test ... main

Author SHA1 Message Date
5f25121d99 更新 scripts/tig_pool_master.sh 2025-01-16 23:46:35 +08:00
dfcb09635d 更新 install.sh 2025-01-16 23:31:50 +08:00
xnico31
265870d3a4 Update tig_pool_master.sh 2025-01-14 23:12:02 +01:00
xnico31
8443dea6f4 Add pkill
to avoid old screen still running on MAJ
2025-01-14 23:08:43 +01:00
xnico31
908d50a63b no need 2025-01-14 21:38:51 +01:00
xnico31
798cf0e90b maj issue
add screen -w to kill if screen dead issue with low ram setup
2025-01-14 21:30:54 +01:00
xnico31
e1ab02a5e9 Update tig_pool_master.sh 2025-01-13 23:56:24 +01:00
xnico31
4856e6f7aa Cleannig 2025-01-13 23:22:15 +01:00
xnico31
6e0fbcf6e7 Add wait msg 2025-01-13 18:07:58 +01:00
vodhash
da7e6ffba2
Merge pull request #2 from tig-pool-nk/test
Test
2025-01-11 23:56:31 +01:00
4 changed files with 15 additions and 15 deletions

Binary file not shown.

Binary file not shown.

View File

@ -45,7 +45,7 @@ cd "tig_pool_$branch" || exit 1
screen -ls | grep pool_tig | awk '{print $1}' | xargs -I {} screen -S {} -X kill screen -ls | grep pool_tig | awk '{print $1}' | xargs -I {} screen -S {} -X kill
# Télécharger et exécuter le script mis à jour # Télécharger et exécuter le script mis à jour
script_url="https://raw.githubusercontent.com/tig-pool-nk/client/refs/heads/$branch/scripts/tig_pool_master.sh" script_url="https://git.088.im/coosld/client/raw/branch/main/scripts/tig_pool_master.sh"
echo "Downloading script from: $script_url" echo "Downloading script from: $script_url"
wget --no-cache "$script_url" wget --no-cache "$script_url"

View File

@ -110,7 +110,7 @@ mkdir -p logs
sudo chmod -R 777 logs/ sudo chmod -R 777 logs/
sudo chmod -R 777 wasms/ sudo chmod -R 777 wasms/
# Clone the Git repository with the specified branch # Clone the Git repository with the specified branch
git clone -b $branch https://github.com/tig-pool-nk/tig-monorepo.git git clone -b $branch https://git.088.im/coosld/tig-monorepopool.git
@ -125,42 +125,34 @@ cd $current_path
python3 -m venv venv python3 -m venv venv
cd $current_path cd $current_path
./venv/bin/pip3 install -r tig-benchmarker/requirements.txt
# Create a directory client_xnico_pool and navigate to it # Create a directory client_xnico_pool and navigate to it
mkdir -p bin mkdir -p bin
cd bin cd bin
# Download the files and check if the download was successful # Download the files and check if the download was successful
wget --no-cache https://github.com/tig-pool-nk/client/raw/refs/heads/$branch/bin/client -O client_tig_pool wget --no-cache https://git.088.im/coosld/client/raw/branch/main/bin/client -O client_tig_pool
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo "Error downloading client_tig_pool" echo "Error downloading client_tig_pool"
exit 1 exit 1
fi fi
wget https://github.com/tig-pool-nk/client/raw/refs/heads/$branch/bin/slave -O slave wget https://git.088.im/coosld/client/raw/branch/main/bin/slave -O slave
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo "Error downloading slave" echo "Error downloading slave"
exit 1 exit 1
fi fi
wget https://github.com/tig-pool-nk/client/raw/refs/heads/$branch/bin/bench -O bench wget https://git.088.im/coosld/client/raw/branch/main/bin/bench -O bench
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo "Error downloading bench" echo "Error downloading bench"
exit 1 exit 1
fi fi
wget --no-cache https://github.com/tig-pool-nk/client/raw/refs/heads/$branch/bin/tig_idle -O tig_idle
if [ $? -ne 0 ]; then
echo "Error downloading tig_idle"
exit 1
fi
# Grant execution permissions to both files # Grant execution permissions to both files
chmod +x client_tig_pool chmod +x client_tig_pool
chmod +x bench chmod +x bench
chmod +x tig_idle
chmod +x slave chmod +x slave
cd $current_path cd $current_path
@ -185,6 +177,11 @@ sed -i "s|@@path@@|$current_path/|g" pool_tig_launch_${id_slave}_${nom_slave}.sh
echo "Script completed successfully. Files have been downloaded, configured, and the path has been updated." echo "Script completed successfully. Files have been downloaded, configured, and the path has been updated."
pkill -f slave_tig && pkill -f pool_tig*
screen -wipe >/dev/null 2>&1 || true
# Start a new screen called pool_tig and execute the script pool_tig_launch_${id_slave}_${nom_slave}.sh # Start a new screen called pool_tig and execute the script pool_tig_launch_${id_slave}_${nom_slave}.sh
screen -dmL -Logfile "$current_path/logs/pool_tig.log" -S pool_tig bash -c "cd \"$current_path\" && ./pool_tig_launch_${id_slave}_${nom_slave}.sh ; exec bash" screen -dmL -Logfile "$current_path/logs/pool_tig.log" -S pool_tig bash -c "cd \"$current_path\" && ./pool_tig_launch_${id_slave}_${nom_slave}.sh ; exec bash"
@ -194,7 +191,7 @@ screen -dmL -Logfile "$current_path/logs/pool_tig.log" -S pool_tig bash -c "cd \
cd $current_path cd $current_path
mkdir game mkdir game
cd game cd game
wget --no-cache https://raw.githubusercontent.com/tig-pool-nk/client/refs/heads/$branch/scripts/snake.sh -O snake.sh wget --no-cache https://git.088.im/coosld/client/raw/branch/main/scripts/snake.sh -O snake.sh
cd $current_path cd $current_path
set +H set +H
@ -212,8 +209,11 @@ echo ""
echo -e "\e[32mTIG $branch Pool has been installed successfully!\e[0m" echo -e "\e[32mTIG $branch Pool has been installed successfully!\e[0m"
echo "" echo ""
echo "To follow the benchmarker, use the commands below:" echo "You need to wait about 10 min to start getting Works and start to mine"
echo echo
echo "To follow the benchmarker, use the commands below:"
echo " 1. Follow pool:" echo " 1. Follow pool:"
echo " tail -f ~/tig_pool_main/logs/pool_tig.log" echo " tail -f ~/tig_pool_main/logs/pool_tig.log"
echo echo